Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cursor
Class CursorManager

    java.lang.Object
      cursor.CursorManager

    public class CursorManager

extends java.lang.Object

This class represents a cursor manager that provides the different cursors for the game.

Author:
  Frank Bruns

Method Summary
`static void` | `addCursor(GameCursor cursor)` Adds a new game cursor to the cursor pool with the specified parameters
`static GameCursor` | `getCurrentCursor()` Returns the current game cursor
`static GameCursor` | `getCursor(java.lang.String constant)` Returns the cursor refering to the specified String constant
`static void` | `render(java.awt.Graphics2D g, com.golden.gamedev.engine.BaseInput bsInput)` Renders the current game cursor sprite
`static void` | `setCursor(java.lang.String constant)` Sets the mouse pointer to the specified cursor

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### addCursor

    public static void addCursor(GameCursor cursor)

  Adds a new game cursor to the cursor pool with the specified parameters

  Parameters:
    `cursor` - game cursor to add to the cursor pool

### getCursor

    public static GameCursor getCursor(java.lang.String constant)

  Returns the cursor refering to the specified String constant

  Parameters:
    `constant` - use a constant from the Cursors class --> Cursors.TALK
  Returns:
    cursor refering to the specified constant

### setCursor

    public static void setCursor(java.lang.String constant)

  Sets the mouse pointer to the specified cursor

  Parameters:
    `constant` - constant refering to the cursor

### getCurrentCursor

    public static GameCursor getCurrentCursor()

  Returns the current game cursor

  Returns:
    current game cursor

### render

    public static void render(java.awt.Graphics2D g,
                              com.golden.gamedev.engine.BaseInput bsInput)

  Renders the current game cursor sprite

  Parameters:
    `g` -
    `bsInput` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD